/**
 * @description 是否是基本数据类型
 * @param {any} data
 * @return {boolean}
 */
export function isBasicData(data: any) {
  const basicDataTypes = [
    '[object String]',
    '[object Number]',
    '[object Boolean]',
    '[object Null]',
    '[object Undefined]',
  ];
  const typeofs = Object.prototype.toString.call(data);

  return basicDataTypes.includes(typeofs);
}
